| fdrawtree

## Function

Plots an unrooted tree diagram

## Description

Plots unrooted phylogenies, cladograms, circular trees and phenograms in a wide variety of user-controllable formats. The program is interactive and allows previewing of the tree on PC, Macintosh, or X Windows screens, or on Tektronix or Digital graphics terminals. Final output can be to a file formatted for one of the drawing programs, for a ray-tracing or VRML browser, or one at can be sent to a laser printer (such as Postscript or PCL-compatible printers), on graphics screens or terminals, on pen plotters or on dot matrix printers capable of graphics.

Similar to DRAWGRAM but plots unrooted phylogenies.

## Algorithm

DRAWTREE interactively plots an unrooted tree diagram, with many options including orientation of tree and branches, label sizes and angles, margin sizes. Particularly if you can use your computer screen to preview the plot, you can very effectively adjust the details of the plotting to get just the kind of plot you want.

To understand the working of DRAWGRAM and DRAWTREE, you should first read the Tree Drawing Programs web page in this documentation.

As with DRAWGRAM, to run DRAWTREE you need a compiled copy of the program, a font file, and a tree file. The tree file has a default name of intree. The font file has a default name of "fontfile". If there is no file of that name, the program will ask you for the name of a font file (we provide ones that have the names font1 through font6). Once you decide on a favorite one of these, you could make a copy of it and call it fontfile, and it will then be used by default. Note that the program will get confused if the input tree file has the number of trees on the first line of the file, so that number may have to be removed.

## Usage

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-intreefile]        tree       (no help text) tree value
      [-plotfile]          outfile    Output file name

       Additional (Optional) qualifiers (* if not always prompted):
       -[no]grows          boolean    Tree grows horizontally
       -style              menu       Tree style output
       -plotter            menu       Plotter or printer the tree will be drawn on
    *  -plotterpcl         menu       Laserjet resolution
    *  -plotterpcx         menu       PCX file resolution
       -previewer          menu       Previewing device
       -iterate            menu       Iterate to improve tree
       -lengths            boolean    Use branch lengths from user trees
       -labeldirec         menu       Label direction
       -treeangle          float      Angle the tree is to be plotted
       -arc                float      Degrees the arc should occupy
    *  -labelrotation      float      Angle of labels (0 degrees is horizontal for
                                      a tree growing vertically)
       -[no]rescaled       toggle     Automatically rescale branch lengths
    *  -bscale             float      Centimeters per unit branch length
       -treedepth          float      Depth of tree as fraction of its breadth
       -stemlength         float      Stem length as fraction of tree depth
       -nodespace          float      Character height as fraction of tip spacing
       -nodeposition       menu       Position of interior nodes
    *  -xmargin            float      Horizontal margin (cm)
    *  -ymargin            float      Vertical margin (cm)
    *  -xmarginray         float      Horizontal margin (pixels)
    *  -ymarginray         float      Vertical margin (pixels)
       -paperx             float      Paper width
       -papery             float      Paper height
       -pagesheight        float      Number of trees across height of page
       -pageswidth         float      Number of trees across width of page
       -hpmargin           float      Horizontal overlap (cm)
       -vpmargin           float      Vertical overlap (cm)

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-plotfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-intreefile] (Parameter 1) | (no help text) tree value | Phylogenetic tree |
[-plotfile] (Parameter 2) | Output file name | Output file | <sequence>.fdrawtree
Additional (Optional) qualifiers | Allowed values | Default
-[no]grows | Tree grows horizontally | Boolean value Yes/No | Yes

-style

Tree style output

c | (cladogram (v-shaped))
p | (phenogram (branches are square))
v | (curvogram (branches are 1/4 out of an ellipse))
e | (eurogram (branches angle outward, then up))
s | (swooporam (branches curve outward then reverse))
o | (circular tree)

c

-plotter

Plotter or printer the tree will be drawn on

l | (Postscript printer file format)
m | (PICT format (for drawing programs))
j | (HP Laserjet PCL file format)
w | (MS-Windows Bitmap)
f | (FIG 2.0 drawing program format)
a | (Idraw drawing program format)
z | (VRML Virtual Reality Markup Language file)
p | (PCX file format (for drawing programs))
k | (TeKtronix 4010 graphics terminal)
x | (X Bitmap format)
v | (POVRAY 3D rendering program file)
r | (Rayshade 3D rendering program file)
h | (Hewlett-Packard pen plotter (HPGL file format))
d | (DEC ReGIS graphics (VT240 terminal))
e | (Epson MX-80 dot-matrix printer)
c | (Prowriter/Imagewriter dot-matrix printer)
t | (Toshiba 24-pin dot-matrix printer)
o | (Okidata dot-matrix printer)
b | (Houston Instruments plotter)
u | (other (one you have inserted code for))

l

-plotterpcl

Laserjet resolution

1 | (75 DPI)
2 | (150 DPI)
3 | (300 DPI)

1

-plotterpcx

PCX file resolution

1 | (EGA 640 X 350)
2 | (VGA 800 X 600)
3 | (VGA 1024 X 768)

1

-previewer

Previewing device

n | (Will not be previewed)
I i | (MSDOS graphics screen m:Macintosh screens)
x | (X Windows display)
w | (MS Windows display)
k | (TeKtronix 4010 graphics terminal)
d | (DEC ReGIS graphics (VT240 terminal))
o | (Other (one you have inserted code for))

x

-iterate

Iterate to improve tree

n | (No)
e | (Equal-Daylight algorithm)
b | (n-Body algorithm)

e

-lengths | Use branch lengths from user trees | Boolean value Yes/No | No

-labeldirec

Label direction

a | (along)
f | (fixed)
r | (radial)
m | (middle)

e

-treeangle | Angle the tree is to be plotted | Number from -360.000 to 360.000 | 90.0
-arc | Degrees the arc should occupy | Number from 0.000 to 360.000 | 360
-labelrotation | Angle of labels (0 degrees is horizontal for a tree growing vertically) | Number from 0.000 to 360.000 | 90.0
-[no]rescaled | Automatically rescale branch lengths | Toggle value Yes/No | Yes
-bscale | Centimeters per unit branch length | Any numeric value | 1.0
-treedepth | Depth of tree as fraction of its breadth | Number from 0.100 to 100.000 | 0.53
-stemlength | Stem length as fraction of tree depth | Number from 0.100 to 100.000 | 0.05
-nodespace | Character height as fraction of tip spacing | Number from 0.100 to 100.000 | 0.3333

-nodeposition

Position of interior nodes

i | (Intermediate between their immediate descendants)
w | (Weighted average of tip positions)
c | (Centered among their ultimate descendants)
n | (Innermost of immediate descendants)
v | (So tree is v shaped)

c

-xmargin | Horizontal margin (cm) | Number 0.100 or more | 1.65
-ymargin | Vertical margin (cm) | Number 0.100 or more | 2.16
-xmarginray | Horizontal margin (pixels) | Number 0.100 or more | 1.65
-ymarginray | Vertical margin (pixels) | Number 0.100 or more | 2.16
-paperx | Paper width | Any numeric value | 20.63750
-papery | Paper height | Number 0.100 or more | 26.98750
-pagesheight | Number of trees across height of page | Number 1.000 or more | 1
-pageswidth | Number of trees across width of page | Number 1.000 or more | 1
-hpmargin | Horizontal overlap (cm) | Number 0.001 or more | 0.41275
-vpmargin | Vertical overlap (cm) | Number 0.001 or more | 0.53975
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

fdrawtree input ...

## Output file format

fdrawtree outputs ...

## Data files

The font file has a default name of "fontfile". If there is no file of that name, the program will ask you for the name of a font file (we provide ones that have the names font1 through font6). Once you decide on a favorite one of these, you could make a copy of it and call it fontfile, and it will then be used by default.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
fdrawgram | Plots a cladogram- or phenogram-like rooted tree diagram
fretree | Interactive tree rearrangement

## Author(s)

This program is an EMBOSS conversion of a program written by Joe Felsenstein as part of his PHYLIP package.

Although we take every care to ensure that the results of the EMBOSS version are identical to those from the original package, we recommend that you check your inputs give the same results in both versions before publication.

Please report all bugs in the EMBOSS version to the EMBOSS bug team, not to the original author.

## History

Written (2004) - Joe Felsenstein, University of Washington.

Converted (August 2004) to an EMBASSY program by the EMBOSS team.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.